<?
require'../config.php';
$align='left';
$title='Просмотр логов';
head();
levels(8);
who_add(0,'enter');

if (empty($mod)){
if($user['id']== 1 or $user['id']== 3 or $user['id']== 322) 
{
	echo '&#187; <a href="logs?mod=edit_admin">Логи Админки</a><br />
	&#187; <a href="logs?mod=zaprivat">Логи Записок</a><br />
	&#187; <a href="logs?mod=albumdown">Логи загрузки в албомах(err)</a><br />';
}
?>
&#187; <a href="logs?mod=rega">Логи Регистраций</a><br />
&#187; <a href="logs?mod=ignors.msg.logs">Логи Антирекламы</a><br />
&#187; <a href="logs?mod=edit">Логи Апдейта</a><br />
&#187; <a href="logs?mod=newpass">Логи Изменения пароля</a><br />
&#187; <a href="logs?mod=del">Логи удалений</a><br />
&#187; <a href="logs?mod=topic">Логи изменений топиков</a><br />
&#187; <a href="logs?mod=clear_room">Логи чистки комнат</a><br />
&#187; <a href="logs?mod=kik">Логи пинков</a><br />
&#187; <a href="logs?mod=ban_ip_soft">Логи баннов ip+soft</a><br />
&#187; <a href="logs?mod=ban_ip">Логи баннов ip</a><br />
&#187; <a href="logs?mod=ban">Логи баннов ников</a><br />
<?php

}else
{
	if (isset($_GET['del_all'])){
		if($user[id] == 1 or $user[id] == 322){
			///@$db->sql_query("delete from logs where log = '".$mod."';");
		}
	}

	if (empty($user['max'])) $user['max']=10;
	$max = $user['max'];
	$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from logs where log = '".$mod."'"),0);
	$k_page=k_page($k_post,$max);
	$page=page($k_page);
	$start=$max*$page-$max;

	$r = $db->sql_query ("Select * from logs where log = '".$mod."' order by time desc LIMIT $start, $max");
	if ($k_post == 0)echo 'Нет логов!<br />';
	else
	{
		if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
		echo 'показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
	}
	$post_k=$start+1;
	while($a = @$db->sql_fetchrow($r))
	{
		echo '<b>'.times($a['time']).'</b> - '.bbcode($a['msg']).'<br />- - -<br />';
	}

	if ($k_page>1)
	{
		echo "<dl><dt></dt></dl>";
		str('logs?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
		echo "<br /><dl><dt></dt></dl><br />";
	}
	if($user[id] == 1 or $user[id] == 322){
	////if ($k_post != 0)echo '<a href="logs?mod='.$mod.'&amp;del_all">Очистить логи</a><br />';
	}
}

if ($mod)echo gb.'<a href="logs">Просмотр логов</a>'.div;
echo gb.'<a href="index">В админку</a><br />'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();

?>
